package com.persagy.dmp.rwd.simple.entity;

import lombok.Builder;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 按专业、系统、设备类统计 VO
 * @author Charlie Yu
 * @date 2021-09-02
 */
@Data
@Builder
public class CountTypeEquipmentVO {
    /** 类型编码 */
    private String code;
    /** 类型名称 */
    private String name;
    /** 类型 - 专业/系统/设备类 */
    private String type;
    /** 类型下设备数量 */
    private Integer count;
    /** 下级信息 */
    private List<CountTypeEquipmentVO> content;

    /**
     * 累加
     * @param total
     */
    public void addCount(Integer total) {
        // 为空不处理
        if(total == null || total < 0) {
            return;
        }
        // 累加
        count = count + total;
    }

    /**
     * 追加子集
     * @param vo
     */
    public void addContent(CountTypeEquipmentVO vo) {
        if(vo == null) {
            return;
        }
        if(content == null) {
            content = new ArrayList<>();
        }
        content.add(vo);
    }
}
